: Class ServletNode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Servlets
Class ServletNode

    java.lang.Object
      |
      +--com.mortbay.Servlets.ServletNode

public class ServletNode
extends java.lang.Object

Class to aid in handling trees of Objects handling recursive servlet dispatching

This class can be derived from by objects that handle recursive servlet dispatching to aid with generation of servlet urls.

Each node can add the "method" name used to access this object to their address and then use the getUrl methods to generate urls to objects relative to this one in the hierarchy.

Version:
  $Version: $
Author:
  Matthew Watson (watsonm)
See Also:
  `com.mortbay.Util.ServletDispatch`

Constructor Summary
`ServletNode()`

Method Summary
`void` | `addAddressElement(java.lang.Object elem)`
`java.util.Vector` | `getAddress()`
`java.lang.String` | `getBaseName()`
`java.lang.String` | `getParentUrlPath(javax.servlet.http.HttpServletRequest req, int level)`
`java.lang.String` | `getPath()`
`java.lang.String` | `getUrlPath(javax.servlet.http.HttpServletRequest req)`
`void` | `setAddress(java.util.Vector address)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletNode

    public ServletNode()

Method Detail

### getAddress

    public java.util.Vector getAddress()

### addAddressElement

    public void addAddressElement(java.lang.Object elem)

### setAddress

    public void setAddress(java.util.Vector address)

### getPath

    public java.lang.String getPath()

### getUrlPath

    public java.lang.String getUrlPath(javax.servlet.http.HttpServletRequest req)

### getParentUrlPath

    public java.lang.String getParentUrlPath(javax.servlet.http.HttpServletRequest req,
                                             int level)

### getBaseName

    public java.lang.String getBaseName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD